Skip to main content
`Ctrl`+`K`

# TSMonitorSolutionVTK

Monitors progress of the `TS` solvers by `VecView()` for the solution at selected timesteps.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSMonitorSolutionVTK(TS ts, PetscInt step, PetscReal ptime, Vec u, TSMonitorVTKCtx ctx)

Collective

## Input Parameters

- ts - the `TS` context

- step - current time-step

- ptime - current time

- u - current state

- ctx - monitor context obtained with `TSMonitorSolutionVTKCtxCreate()`

## Notes

The VTK format does not allow writing multiple time steps in the same file, therefore a different file will be written for each time step. These are named according to the file name template.

This is not called directly by users, rather one calls `TSMonitorSet()`, with this function as an argument, to cause the monitor to be used during the `TS` integration.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSMonitorSet()`, `TSMonitorDefault()`, `VecView()`

## Level

developer

## Location

src/ts/interface/tsmon.c

## Examples

src/ts/tutorials/ex30.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages